R4i upgrade revolution (r4i-sdhc.com)

Discussion in 'R4 DS' started by Moke_moke, Jan 16, 2010.

Jan 16, 2010
  1. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    I'm trying to fix it for a kid who claims he deleted a file by accident and it refused to work after. So I checked the sd card, found nothing was wrong with it. so I reformat and update the firmware. When I turn on my ds, it tells me to "Please upgrade the hardware to support latest firmware." I've been trying to fix this for a week now. Help please?
     


  2. h8isgr8

    Member h8isgr8 GBAtemp Regular

    Joined:
    Dec 7, 2009
    Messages:
    134
    Country:
    United States
    Do you have a DS or DSi?

    Does the card have "V1.4" printed on the sticker?
     
  3. PhoenixT

    Newcomer PhoenixT Member

    Joined:
    Dec 28, 2009
    Messages:
    23
    Country:
    Italy
    Did you make a backup copy of the past firmware? Because on the download site it's stated that, as the "R4 Upgrade" and the "R4i 1.4" are updatable to 1.15b, the "R4i Upgrade" are still topped at 1.09b ...
     
  4. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    yes I have a backup copy of the past firmware. It's a R4i with no 1.4 sticker and it says (for ndsi/ndsl/nds). the kid was playing it on a ds lite.
     
  5. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    I downloaded 1.09 from linfox domain. but after I loaded the 1.09b firmware and turned on the ds, it told me it was a fake card. xD
     
  6. PhoenixT

    Newcomer PhoenixT Member

    Joined:
    Dec 28, 2009
    Messages:
    23
    Country:
    Italy
    Did you try it straight by the site printed on the sticker? They may differ greatly.
    Has the "backupped" firmware a version.txt?
    Which file says it's missing?
     
  7. h8isgr8

    Member h8isgr8 GBAtemp Regular

    Joined:
    Dec 7, 2009
    Messages:
    134
    Country:
    United States
    Why did you download it from linfox and not directly from r4i-sdhc.com?

    The R4.dat from linfox has a different CRC then the one from r4i site.

    Try the version directly from their site.....

    www.r4i-sdhc.com/R4i%20English%20V1.09b.rar
     
  8. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    I went to the site there in the first place but the downloads take forever. So I'll try it again and see if it works.
     
  9. PhoenixT

    Newcomer PhoenixT Member

    Joined:
    Dec 28, 2009
    Messages:
    23
    Country:
    Italy
    As someone just said you, some repository tend to have corrupted/mismatching roms.
    Then, the whole "R4" family is made by really different clone-cards made copying every other card else. For example, my two-and-half years old R4, that refers to the same site of your friend's, is currently running with the last r4i-sdhc firmware (but without the autoupdate feature functioning), a compiled version of the DSTT firmware and the last YSMenu compiled for DSTT, whereas other R4 clones would reject the DSTT firmware, and a pal of mine, with the original R4, can boot only an old backup of his ancient firmware and the YSMenu I compiled him for R4.

    So, it will take forever, but it'll be worth. Don't forget getting a fairly recent USRCHEAT.DAT too, if he needs games with "activators", like Chrono Trigger and GTA: Chinatown, for example.
     
  10. hundshamer

    Member hundshamer GBAtemp Advanced Maniac

    Joined:
    May 22, 2009
    Messages:
    1,810
    Location:
    United States
    Country:
    United States
    This card is actually a DSTT clone and can run DSTT 1.17a12 raw or with YSMenu. At the moment the firmware is as updated as DSTT 1.17a12 but lacks slot-2 compatibility. You can use the "Multimedia" button for the second firmware.
     
  11. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    weird I downloaded the firmware from the official website (v 1.09b) and it still says that the card is fake when I load it. I'll give ds tt firmware a try. Anybody know what the problem is? since I went to r4i-sdhc.com and downloaded the official firmware from them but it still says it's fake.
     
  12. sfg

    Member sfg GBAtemp Regular

    Joined:
    Oct 26, 2009
    Messages:
    299
    Country:
    United States
    You should get 1.15b, especially if you have the "i" version. Although that firmware works for my non "i" too.

    Or you may have a clone of clone... heck knows.

    Try copying this to your microSD and see if it works. Press the Multimedia button to enter YSMenu or launch TTMenu.nds for the TT firmware.
     
  13. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    I tried that but it gave me the old "please update your hardware to support the latest firmware"
     
  14. sfg

    Member sfg GBAtemp Regular

    Joined:
    Oct 26, 2009
    Messages:
    299
    Country:
    United States
    Hmm...

    Try some older firmwares and see if any works. If you find one it won't matter if it's old since you'll at least be able to run TTMenu or YSMenu from it.
     
  15. Moke_moke
    OP

    Newcomer Moke_moke Member

    Joined:
    Apr 14, 2009
    Messages:
    19
    Country:
    Canada
    what file do I replace? since it doesn't have the 1.4 marker, I need the 1.09b firmware. but I ran that before and it didn't work.
     
  16. sfg

    Member sfg GBAtemp Regular

    Joined:
    Oct 26, 2009
    Messages:
    299
    Country:
    United States
    Don't listen to that. My card doesn't have the 1.4 marker either and it works with 1.15b.
    But if that tells you need to upgrade your hardware just try older ones from linfoxdomain. There must be one that works.
    If you find one that works, I'll send you an archive with the TTMenu and YSMenu files.
     
  17. TwinRetro

    Global Moderator TwinRetro Don't start nothin', Won't be nothin'

    Joined:
    Aug 29, 2008
    Messages:
    6,181
    Location:
    Las Vegas, NV
    Country:
    United States
    This, kiddies is why you never ever buy a clone. [​IMG]
     
  18. Xoo00o0o0o

    Member Xoo00o0o0o Xoo00o0o0o is in the house

    Joined:
    Apr 23, 2009
    Messages:
    796
    Location:
    Dallas, TX
    Country:
    United States
    dudeonline: no need for that, what if the kid didn't know any better.

    On topic: Whay don't you post a picture of the card
     
  19. PhoenixT

    Newcomer PhoenixT Member

    Joined:
    Dec 28, 2009
    Messages:
    23
    Country:
    Italy
    I confirm that. However, seems the older card haven't got a registered account for the server autouplad. No biggies, I just upload it manually.
    Fact is that our moke_moke gets a really weird message about that makes think his friend's card may be even older... the model described on the second column of the firmware site.

    It may, and I underscore, may still work with a compiled version of the YSMenu for DSTT, but we're speaking about a simple boy who gave his card to Moke_moke to get it "fixed". So, someone who basically need to play his same three or four games and nothing else. Why having him to bother with a radically changed firmware?
     
  20. TwinRetro

    Global Moderator TwinRetro Don't start nothin', Won't be nothin'

    Joined:
    Aug 29, 2008
    Messages:
    6,181
    Location:
    Las Vegas, NV
    Country:
    United States
    No need for that? Really? You buy a genuine card so we dont slam our heads against the wall trying to figure out what the hell is wrong with your dime a dozen clone.

    There is no excuse of "the kid didn't know any better" this is why gbatemp forums exist, among other places. if he did a simple search he would have avoided this mess altogether.
     

Share This Page